POST api/OrderPrice/UpdateOrderPrice
Request Information
URI Parameters
None.
Body Parameters
OrderPriceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| OrderCategoryId | integer |
None. |
|
| OrderCategoryTypeId | integer |
None. |
|
| OrderCategorySubTypeId | integer |
None. |
|
| Price | decimal number |
None. |
|
| StartDate | date |
None. |
|
| EndDate | date |
None. |
|
| CategoryName | string |
String length: inclusive between 0 and 200 |
|
| CategoryTypeName | string |
String length: inclusive between 0 and 100 |
|
| CategorySubTypeName | string |
String length: inclusive between 0 and 100 |
|
| Todaydate | date |
None. |
|
| Status | integer |
None. |
|
| CPTCode | string |
String length: inclusive between 0 and 20 |
|
| TangAndCompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsFutureRecord | boolean |
None. |
|
| OrderId | integer |
None. |
|
| SubTypeExist | boolean |
None. |
|
| TPAName | string |
String length: inclusive between 0 and 100 |
|
| OrderCategorySubTypeLevel1Id | integer |
None. |
|
| TPAId | integer |
None. |
|
| PriceValidFlag | boolean |
None. |
|
| ItemCode | string |
String length: inclusive between 0 and 200 |
|
| ItemId | integer |
None. |
|
| OrderCategorySubTypeLevel2Id | integer |
None. |
|
| ItemName | string |
String length: inclusive between 0 and 100 |
|
| LookupItemCode | string |
String length: inclusive between 0 and 50 |
|
| Note | string |
String length: inclusive between 0 and 500 |
|
| CreatedUserFirstName | string |
String length: inclusive between 0 and 8000 |
|
| CreatedUserLastName | string |
String length: inclusive between 0 and 8000 |
|
| CreatedUser | string |
String length: inclusive between 0 and 8000 |
|
| CreatedDate | date |
None. |
|
| LastModifiedUserFirstName | string |
String length: inclusive between 0 and 8000 |
|
| LastModifiedUseLastName | string |
String length: inclusive between 0 and 8000 |
|
| LastModifiedUser | string |
String length: inclusive between 0 and 8000 |
|
| LastModifiedDate | date |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"OrderCategoryId": 2,
"OrderCategoryTypeId": 3,
"OrderCategorySubTypeId": 1,
"Price": 1.0,
"StartDate": "2026-08-04T14:25:37.7107052-07:00",
"EndDate": "2026-08-04T14:25:37.7107052-07:00",
"CategoryName": "sample string 4",
"CategoryTypeName": "sample string 5",
"CategorySubTypeName": "sample string 6",
"Todaydate": "2026-08-04T14:25:37.7107052-07:00",
"Status": 7,
"CPTCode": "sample string 8",
"TangAndCompanyCode": "sample string 9",
"IsFutureRecord": true,
"OrderId": 1,
"SubTypeExist": true,
"TPAName": "sample string 12",
"OrderCategorySubTypeLevel1Id": 1,
"TPAId": 1,
"PriceValidFlag": true,
"ItemCode": "sample string 13",
"ItemId": 1,
"OrderCategorySubTypeLevel2Id": 1,
"ItemName": "sample string 14",
"LookupItemCode": "sample string 15",
"Note": "sample string 16",
"CreatedUserFirstName": "sample string 17",
"CreatedUserLastName": "sample string 18",
"CreatedUser": "sample string 17 sample string 18",
"CreatedDate": "2026-08-04T14:25:37.7107052-07:00",
"LastModifiedUserFirstName": "sample string 19",
"LastModifiedUseLastName": "sample string 20",
"LastModifiedUser": "sample string 19 sample string 20",
"LastModifiedDate": "2026-08-04T14:25:37.7107052-07:00",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:37.7107052-07:00",
"DateUpdated": "2026-08-04T14:25:37.7107052-07:00",
"UserIDCreated": 24,
"UserIDUpdated": 25
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfOrderPriceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | OrderPriceDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"OrderCategoryId": 2,
"OrderCategoryTypeId": 3,
"OrderCategorySubTypeId": 1,
"Price": 1.0,
"StartDate": "2026-08-04T14:25:37.7107052-07:00",
"EndDate": "2026-08-04T14:25:37.7107052-07:00",
"CategoryName": "sample string 4",
"CategoryTypeName": "sample string 5",
"CategorySubTypeName": "sample string 6",
"Todaydate": "2026-08-04T14:25:37.7107052-07:00",
"Status": 7,
"CPTCode": "sample string 8",
"TangAndCompanyCode": "sample string 9",
"IsFutureRecord": true,
"OrderId": 1,
"SubTypeExist": true,
"TPAName": "sample string 12",
"OrderCategorySubTypeLevel1Id": 1,
"TPAId": 1,
"PriceValidFlag": true,
"ItemCode": "sample string 13",
"ItemId": 1,
"OrderCategorySubTypeLevel2Id": 1,
"ItemName": "sample string 14",
"LookupItemCode": "sample string 15",
"Note": "sample string 16",
"CreatedUserFirstName": "sample string 17",
"CreatedUserLastName": "sample string 18",
"CreatedUser": "sample string 17 sample string 18",
"CreatedDate": "2026-08-04T14:25:37.7107052-07:00",
"LastModifiedUserFirstName": "sample string 19",
"LastModifiedUseLastName": "sample string 20",
"LastModifiedUser": "sample string 19 sample string 20",
"LastModifiedDate": "2026-08-04T14:25:37.7107052-07:00",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:37.7107052-07:00",
"DateUpdated": "2026-08-04T14:25:37.7107052-07:00",
"UserIDCreated": 24,
"UserIDUpdated": 25
},
"totalCount": 3
}